<style scoped="">
.select_item_ct{
  display: flex;
  box-shadow: 0px 0px 2px rgba(137, 137, 137, 0.21176470588235294);
  box-shadow: 0px 0px 13px rgba(137, 137, 137, 0.21176470588235294);
  border-radius: 2px;
  overflow: hidden;
}
.select_item{
  padding: 5px 10px;
  border-right: 1px solid #eee;
  min-width: 40px;
  justify-content: center;
  cursor: pointer;
}
.select_item_ct .select_item:last-child{
  border-right: 0px;
}
.select_item_ct .selected_row{
  background: #408ee1;
  color: #fff;
}
</style>
<template>
  <div class="select_item_ct">
      <div class="select_item" v-for="row in list" v-on:click="select(row)" v-bind:class="{'selected_row': row.value == value}">
        {{ row.text }}
      </div>
  </div>
</template>
<script>
export default {

  data () {
    return {}
  },

  props: {
    list: {
      type: Array,
      default () {
        return []
      }
    },
    value: {
      type: String,
      default () {
        return []
      }
    }
  },

  methods: {
    select (row) {
      this.$emit('input', row.value);
    }
  }

}
</script>